{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To list all of the block storage volumes available on your account, send a GET request to `/v2/volumes`.\n## Filtering Results\n### By Region\nThe `region` may be provided as query parameter in order to restrict results to volumes available in a specific region. For example: `/v2/volumes?region=nyc1`\n### By Name\nIt is also possible to list volumes on your account that match a specified name. To do so, send a GET request with the volume's name as a query parameter to `/v2/volumes?name=$VOLUME_NAME`.\n**Note:** You can only create one volume per region with the same name.\n### By Name and Region\nIt is also possible to retrieve information about a block storage volume by name. To do so, send a GET request with the volume's name and the region slug for the region it is located in as query parameters to `/v2/volumes?name=$VOLUME_NAME&region=nyc1`.\n\n\n","properties":{"query":{"type":"object","properties":{"name":{"type":"string","examples":["example"],"description":"The block storage volume's name."},"region":{"$ref":"#/definitions/region_slug","examples":["nyc3"],"description":"The slug identifier for the region where the resource is available."},"per_page":{"type":"integer","minimum":1,"default":20,"maximum":200,"examples":[2],"description":"Number of items returned per page"},"page":{"type":"integer","minimum":1,"default":1,"examples":[1],"description":"Which 'page' of paginated results to return."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"region_slug":{"type":"string","description":"The slug identifier for the region where the resource will initially be  available.","enum":["ams1","ams2","ams3","blr1","fra1","lon1","nyc1","nyc2","nyc3","sfo1","sfo2","sfo3","sgp1","tor1","syd1"],"examples":["nyc3"]}}},"name":"List All Block Storage Volumes","id":"digitalocean.volumes_list","example":{},"maxRequests":1,"summary":false}}